- Qt 6.8
- Qt GUI
- C++ Classes
- QSurfaceFormat
- Qt 6.8.1 Reference Documentation

# Obsolete Members for QSurfaceFormat

The following members of class QSurfaceFormat are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(deprecated in 6.0)` void | setColorSpace(QSurfaceFormat::ColorSpace colorSpace)

## Member Function Documentation

### `[deprecated in 6.0]` void QSurfaceFormat::setColorSpace(QSurfaceFormat::ColorSpace colorSpace)

This function is deprecated since 6.0. We strongly advise against using it in new code.

This is an overloaded function.

Use setColorSpace(QColorSpace) instead.

Sets the colorspace to one of the predefined values.

See also colorSpace().